<?php

namespace App\Entities\EspecialidadeProcedimento;

use App\Utils\Builder;
use App\Utils\Entity;

class EspecialidadeProcedimentoBuilder implements Builder {
	protected $id;
	protected $id_especialidade;
	protected $id_procedimento;
	protected $id_unidade;

	public function build(): EspecialidadeProcedimento {

		$especialidade_procedimento = new EspecialidadeProcedimento();
		if (isset( $this->id )) {
			$especialidade_procedimento->setId( $this->id );
		}
		if (isset( $this->id_especialidade )) {
			$especialidade_procedimento->setIdEspecialidade( $this->id_especialidade );
		}
		if (isset( $this->id_procedimento )) {
			$especialidade_procedimento->setIdProcedimento( $this->id_procedimento );
		}
		if (isset( $this->id_unidade )) {
			$especialidade_procedimento->setIdunidade( $this->id_unidade );
		}

		return $especialidade_procedimento;

	}

	/**
	 *
	 * @param mixed $id
	 * @return EspecialidadeProcedimentoBuilder
	 */
	public function setId($id): EspecialidadeProcedimentoBuilder {

		$this->id = $id;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_especialidade
	 * @return EspecialidadeProcedimentoBuilder
	 */
	public function setIdEspecialidade($id_especialidade): EspecialidadeProcedimentoBuilder {

		$this->id_especialidade = $id_especialidade;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_procedimento
	 * @return EspecialidadeProcedimentoBuilder
	 */
	public function setIdProcedimento($id_procedimento): EspecialidadeProcedimentoBuilder {

		$this->id_procedimento = $id_procedimento;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_unidade
	 * @return EspecialidadeProcedimentoBuilder
	 */
	public function setIdUnidade($id_unidade): EspecialidadeProcedimentoBuilder {

		$this->id_unidade = $id_unidade;
		return $this;

	}

}